%global debug_package %{nil}

Summary:    transfer files between two Fidonet systems over TCP/IP
Name:       binkd
Version:    1.0.4
Release:    2%{?dist}
License:    Freely redistributable without restriction
URL:        ftp://cvs.happy.kiev.ua/pub/fidosoft/mailer/binkd/
Source0:    ftp://cvs.happy.kiev.ua/pub/fidosoft/mailer/binkd/%{name}-%{version}.tar.gz
Source1:    binkd.socket
Source2:    binkd@.service
Source3:    binkd.sysconfig

%{?systemd_requires}
BuildRequires:    systemd
BuildRequires:    gcc

%description
Binkd is a Fidonet mailer designed to operate via TCP/IP networks. As a
FTN-compatible internet daemon, it makes possible efficient utilization of
TCP/IP protocol suite as a transport layer in FTN-based (Fido Technology
Network) networks.

Binkd expects your spool for Fido-like networks to be in BSO ("Bink style
outbound") or optionaly ASO ("Amiga style outbound") format. BSO is also used
by ifmail and BinkleyTerm mailers.

%prep
%autosetup

%build
rm -fr mkfls/unix/CVS
cp mkfls/unix/* .
%configure
%make_build

%install
install -d $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig
install -d $RPM_BUILD_ROOT/%{_sbindir}
install -d $RPM_BUILD_ROOT/%{_mandir}/man8
install -d $RPM_BUILD_ROOT/%{_var}/log/%{name}
install -m 0640 binkd.conf $RPM_BUILD_ROOT/%{_sysconfdir}/
install -m 0755 binkd $RPM_BUILD_ROOT/%{_sbindir}/
install -m 0644 binkd.8 $RPM_BUILD_ROOT/%{_mandir}/man8/

# Systemd
install -d $RPM_BUILD_ROOT/%{_unitdir}
install -m 0644 %SOURCE1 %SOURCE2 $RPM_BUILD_ROOT/%{_unitdir}/
install -m 0644 %SOURCE3 $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/binkd

%post
%systemd_post binkd.socket

%preun
%systemd_preun binkd.socket

%postun
%systemd_postun_with_restart binkd.socket

%files
%license doc/binkplic-en.html
%doc binkdfaq.txt.en HISTORY *README* *SRIF* doc/*-en.txt doc/howto-en.texi
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sbindir}/%{name}
%{_mandir}/man?/%{name}*
%{_unitdir}/%{name}*
%dir %{_var}/log/%{name}

%changelog
* Wed Aug 12 2020 Greg Wildman <greg@techno.co.za> - 1.0.4-2
- Add log folder.

* Sat Aug 08 2020 Greg Wildman <greg@techno.co.za> - 1.0.4-1
- Initial spec.

